---
title: GlobalEventHandlers.onloadstart
slug: Web/API/GlobalEventHandlers/GlobalEventHandlers.onloadstart
---
<div>
<div>{{ ApiRef("HTML DOM") }}</div>
</div>

<p>The onloadstart property sets and returns the <a href="/docs/Web/Guide/Events/Event_handlers" title="/en-US/docs/Web/Guide/DOM/Events/Event_handlers">event handler</a> for the {{event("loadstart")}} event.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em><var>element</var></em>.onloadstart = <em>handlerFunction</em>;
var <em>handlerFunction</em> = <em><var>element</var></em>.onloadstart;
</pre>

<p><code><em>handlerFunction</em></code> should be either <code>null</code> or a <a href="/en-US/docs/Web/JavaScript/Reference/Functions" title="/en-US/docs/JavaScript/Reference/Functions_and_function_scope">JavaScript function</a> specifying the handler for the event.</p>

<h2 id="Notes">Notes</h2>

<p>See the <a href="/en-US/docs/Web/Guide/Events/Event_handlers" title="/en-US/docs/Web/Guide/DOM/Events/Event_handlers">DOM event handlers</a> page for information on working with <code>on...</code> handlers.</p>

<p>The <code>loadstart</code> event is fired when progress has begun.</p>

<p>See the {{event("loadstart")}} event documentation for more information about the event.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG','webappapis.html#handler-loadstart','loadstart')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>
